All Frameworks Object Hierarchy This Framework Indexes
LICENSING INFORMATION: Creation of volume result requires GSO License
if GSO License is not granted , settting of Volume context has not effect
Use the CATIAHybridShapeFactory to create HybridShapeFeature object.
o Property AngleValue( | ) As |
AngleValue
the angle value for the Rotate
hybrid shape feature.
Dim AngleValue As double Set AngleValue = Rotate.AngleValue
o Property Angle( | ) As (Read Only) |
o Property Axis( | ) As |
RotationAxis
the rotation axis for the Rotate
hybrid shape feature.
Dim RotationAxis As Reference Set RotationAxis = Rotate.Axis
o Property ElemToRotate( | ) As |
Elem
the element to be rotated for the Rotate
hybrid shape feature.
Dim Elem As Reference Set Elem = Rotate.ElemToRotate
o Property FirstElement( | ) As |
o Property FirstPoint( | ) As |
o Property OrientationOfFirstElement( | ) As |
o Property OrientationOfSecondElement( | ) As |
o Property RotationType( | ) As |
o Property SecondElement( | ) As |
o Property SecondPoint( | ) As |
o Property ThirdPoint( | ) As |
o Property VolumeResult( | ) As |
hybShpRotate
hybrid shape rotate is volume.
hybShpRotate.VolumeResult = True
o Func GetCreationMode( | ) As |
oCreation
the creation mode
for the hybShpRotate
hybrid shape feature.
oCreation = hybShpRotate.GetCreationMode
o Sub SetCreationMode( | iCreation) |
hybShpRotate
hybrid shape rotate to creation
hybShpRotate.SetCreationMode True
Copyright © 2003, Dassault Systèmes. All rights reserved.